Get allowed items¶
GET/
Endpoint API · Allowed Items
Get all allowed items.
Parameters¶
| Name | In | Type | Required | Description |
|---|---|---|---|---|
X-Tenant-ID | header | string (uuid) | Yes | Tenant ID. |
page | query | integer | No | The page number to fetch, starting with 1. |
pageSize | query | integer | No | The size of the page requested. |
pageTotal | query | boolean | No | Whether the number of pages should be calculated and returned in the response. |
Request samples¶
curl -X GET "https://api-<data-region>.central.sophos.com/endpoint/v1/settings/allowed-items" -H "Authorization: Bearer <access-token>" -H "X-Tenant-ID: <tenant-id>"
import requests
response = requests.get(
"https://api-<data-region>.central.sophos.com/endpoint/v1/settings/allowed-items",
headers={
"Authorization": "Bearer <access-token>",
"X-Tenant-ID": "<tenant-id>",
},
)
print(response.json())
$headers = @{
"Authorization" = "Bearer <access-token>"
"X-Tenant-ID" = "<tenant-id>"
}
Invoke-RestMethod -Method GET -Uri "https://api-<data-region>.central.sophos.com/endpoint/v1/settings/allowed-items" -Headers $headers
package main
import (
"fmt"
"io"
"net/http"
)
func main() {
req, err := http.NewRequest("GET", "https://api-<data-region>.central.sophos.com/endpoint/v1/settings/allowed-items", nil)
if err != nil {
panic(err)
}
req.Header.Set("Authorization", "Bearer <access-token>")
req.Header.Set("X-Tenant-ID", "<tenant-id>")
resp, err := http.DefaultClient.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
body, _ := io.ReadAll(resp.Body)
fmt.Println(string(body))
}
const response = await fetch("https://api-<data-region>.central.sophos.com/endpoint/v1/settings/allowed-items", {
method: "GET",
headers: {
"Authorization": "Bearer <access-token>",
"X-Tenant-ID": "<tenant-id>",
},
});
const data = await response.json();
console.log(data);
Responses¶
200 — List of allowed items.¶
Response fields
itemsarray of objectrequiredAllowed items.
Show child attributesHide child attributes
idstring (uuid)requiredUnique ID for the allowed application.
createdAtstring (date-time)requiredDate and time (UTC) when the allowed application was created.
updatedAtstring (date-time)Date and time (UTC) when the allowed application was updated.
propertiesobjectrequiredAllowed item properties.
Show child attributesHide child attributes
fileNamestringFile name.
pathstringPath for the application.
sha256stringSha256 value for the application.
certificateSignerstringValue saved for the certificateSigner.
commentstringrequiredComment indicating why the item was allowed.
typestringrequiredProperty by which an item is allowed.
Must be one of:
Must be one of:
path, sha256, certificateSigner, posixPath.createdByobjectUser.
Show child attributesHide child attributes
idstring (uuid)requiredUnique ID for the user.
namestringPerson's name.
originPersonobjectUser.
Show child attributesHide child attributes
idstring (uuid)requiredUnique ID for the user.
namestringPerson's name.
originEndpointobjectRepresents a referenced object.
Show child attributesHide child attributes
idstring (uuid)requiredThe ID of the referenced object.
pagesobjectrequiredShow child attributesHide child attributes
currentintegerrequiredThe 1-based page number being returned.
sizeintegerrequiredThe size of the page being returned.
totalinteger(Optional) The total number of pages that exist, if pageTotal=true in the request.
itemsinteger(Optional) The total number of items across all pages.
maxSizeintegerrequiredThe maximum page size that can be requested.
Errors¶
| Status | Meaning |
|---|---|
500 | Unexpected error. |
All error responses share the same shape — see the error response object.
Response examples¶
200¶
{
"items": [
{
"id": "00000000-0000-0000-0000-000000000000",
"createdAt": "2019-09-23T12:02:01.700Z",
"updatedAt": "2019-09-23T12:02:01.700Z",
"properties": {
"fileName": "string",
"path": "string",
"sha256": "string",
"certificateSigner": "string"
},
"comment": "string",
"type": "path",
"createdBy": {
"id": "00000000-0000-0000-0000-000000000000",
"name": "string"
},
"originPerson": {
"id": "00000000-0000-0000-0000-000000000000",
"name": "string"
},
"originEndpoint": {
"id": "00000000-0000-0000-0000-000000000000"
}
}
],
"pages": {
"current": 0,
"size": 0,
"total": 0,
"items": 0,
"maxSize": 0
}
}
See the guide for a narrative walkthrough of this API.